import { fileURLToPath, URL } from "node:url";

import { loadEnv, defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";

// https://vitejs.dev/config/
export default defineConfig(({ mode }) => {
	const { INSTANCE } = loadEnv(mode, process.cwd(), "");

	return {
		plugins: [vue()],
		resolve: {
			alias: {
				"@": fileURLToPath(new URL("./src", import.meta.url)),
			},
		},
		server: {
			proxy: {
				"/api": {
					target: INSTANCE,
					changeOrigin: true,
				},
				"/oauth": {
					target: INSTANCE,
					changeOrigin: true,
				},
			},
		},
	};
});
